## GtkSeparator GtkSeparator — A separator widget |

## Functions

GtkWidget * | gtk_separator_new ()

## Types and Values

struct | GtkSeparator

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkSeparator
                    ├── GtkHSeparator
                    ╰── GtkVSeparator

## Implemented Interfaces

GtkSeparator implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <gtk/gtk.h>

## Description

GtkSeparator is a horizontal or vertical separator widget, depending on the value of the “orientation” property, used to group the widgets within a window. It displays a line with a shadow to make it appear sunken into the interface.

### CSS nodes

GtkSeparator has a single CSS node with name separator. The node gets one of the .horizontal or .vertical style classes.

## Functions

### gtk_separator_new ()

    GtkWidget *
    gtk_separator_new (GtkOrientation orientation);

Creates a new GtkSeparator with the given orientation.

#### Parameters

orientation | the separator’s orientation. |

#### Returns

a new GtkSeparator.

Since: 3.0

## Types and Values

### struct GtkSeparator

    struct GtkSeparator;